{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-cnpg-status-{{ .Values.openfga.env }}
  namespace: openfga
spec:
  endpointSelector: {}
  ingress:
  - fromEntities:
    - remote-node
    toPorts:
    - ports:
      - port: "8000"
        protocol: TCP
{{- end }}
